## r-cran-sparsem 1.03

=== DESCRIPTION ===
Package: SparseM
Version: 1.03
Author: Roger Koenker <rkoenker@uiuc.edu> and Pin Ng <Pin.Ng@NAU.EDU>
Maintainer: Roger Koenker <rkoenker@uiuc.edu>
Depends: R (>= 2.4.1), methods, stats, utils
Description: Basic linear algebra for sparse matrices
License: GPL (>= 2)
Title: Sparse Linear Algebra
URL: http://www.econ.uiuc.edu/~roger/research/sparse/sparse.html
Packaged: 2013-08-01 15:28:43 UTC; root
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-08-01 18:50:17

## r-cran-sparsem 1.6

=== DESCRIPTION ===
Package: SparseM
Version: 1.6
Author: Roger Koenker <rkoenker@uiuc.edu> and Pin Ng <Pin.Ng@NAU.EDU>
Maintainer: Roger Koenker <rkoenker@uiuc.edu>
Depends: R (>= 2.4.1), methods
Imports: graphics, stats, utils
Description: Basic linear algebra for sparse matrices
License: GPL (>= 2)
Title: Sparse Linear Algebra
URL: http://www.econ.uiuc.edu/~roger/research/sparse/sparse.html
NeedsCompilation: yes
Repository: CRAN
Packaged: 2015-01-05 13:47:50 UTC; roger
Date/Publication: 2015-01-05 17:11:04

## r-cran-sparsem 1.7

=== DESCRIPTION ===
Package: SparseM
Version: 1.7
Author: Roger Koenker <rkoenker@uiuc.edu> and Pin Ng <Pin.Ng@NAU.EDU>
Maintainer: Roger Koenker <rkoenker@uiuc.edu>
Depends: R (>= 2.15), methods
Imports: graphics, stats, utils
Description: Some basic linear algebra functionality for sparse matrices is
  provided:  including Cholesky decomposition and backsolving as well as 
  standard R subsetting and Kronecker products.
License: GPL (>= 2)
Title: Sparse Linear Algebra
URL: http://www.econ.uiuc.edu/~roger/research/sparse/sparse.html
NeedsCompilation: yes
Repository: CRAN
Packaged: 2015-08-14 18:29:09 UTC; roger
Date/Publication: 2015-08-15 23:30:51

## r-cran-sparsem 1.77

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: SparseM
-Version: 1.7
+Version: 1.77
 Author: Roger Koenker <rkoenker@uiuc.edu> and Pin Ng <Pin.Ng@NAU.EDU>
 Maintainer: Roger Koenker <rkoenker@uiuc.edu>
 Depends: R (>= 2.15), methods
@@ -12,5 +12,5 @@
 URL: http://www.econ.uiuc.edu/~roger/research/sparse/sparse.html
 NeedsCompilation: yes
 Repository: CRAN
-Packaged: 2015-08-14 18:29:09 UTC; roger
-Date/Publication: 2015-08-15 23:30:51
+Packaged: 2017-04-23 17:52:11 UTC; roger
+Date/Publication: 2017-04-23 18:26:30 UTC

## r-cran-sparsem 1.78

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: SparseM
-Version: 1.77
+Version: 1.78
 Author: Roger Koenker <rkoenker@uiuc.edu> and Pin Ng <Pin.Ng@NAU.EDU>
 Maintainer: Roger Koenker <rkoenker@uiuc.edu>
 Depends: R (>= 2.15), methods
@@ -12,5 +12,5 @@
 URL: http://www.econ.uiuc.edu/~roger/research/sparse/sparse.html
 NeedsCompilation: yes
 Repository: CRAN
-Packaged: 2017-04-23 17:52:11 UTC; roger
-Date/Publication: 2017-04-23 18:26:30 UTC
+Packaged: 2019-12-12 17:25:30 UTC; roger
+Date/Publication: 2019-12-13 09:10:07 UTC

=== debian/changelog ===
r-cran-sparsem (1.78-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 Dec 2019 08:19:22 -0600

r-cran-sparsem (1.77-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Apr 2017 18:52:42 -0500

r-cran-sparsem (1.76-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 13 Mar 2017 14:12:10 -0500

r-cran-sparsem (1.74-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 12 Nov 2016 08:48:20 -0600

r-cran-sparsem (1.72-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Sep 2016 22:22:04 -0500

r-cran-sparsem (1.7-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 16 Aug 2015 11:36:36 -0500

r-cran-sparsem (1.6-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 05 Jan 2015 12:26:25 -0600

r-cran-sparsem (1.05-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 19 Jul 2014 06:53:28 -0500

r-cran-sparsem (1.03-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #719332)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Aug 2013 07:33:17 -0500

=== debian/control ===
Source: r-cran-sparsem
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.2), dh-r
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/edd/r-cran-sparsem
Vcs-Git: https://salsa.debian.org/edd/r-cran-sparsem.git
Homepage: https://cran.r-project.org/package=SparseM

Package: r-cran-sparsem
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}
Description: GNU R package for basic linear algebra for sparse matrices
 The SparseM package implements basic linear algebra for sparse matrices.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-sparsem package
# Copyright 2003 - 2019 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-sparsem 1.81

=== DESCRIPTION ===
Package: SparseM
Version: 1.81
Authors@R: c(
    person("Roger", "Koenker",  role = c("cre","aut"), email =  "rkoenker@uiuc.edu"),
    person(c("Pin", "Tian"), "Ng",  role = c("ctb"),
        comment = "Contributions to Sparse QR code", email =  "pin.ng@nau.edu"),
    person("Yousef", "Saad",  role = c("ctb"),
        comment = "author of sparskit2"),
    person("Ben", "Shaby", role = c("ctb"),
	comment = "author of chol2csr"))
Maintainer: Roger Koenker <rkoenker@uiuc.edu>
Depends: R (>= 2.15), methods
Imports: graphics, stats, utils
Author: Roger Koenker [cre, aut],
  Pin Tian Ng [ctb] (Contributions to Sparse QR code),
  Yousef Saad [ctb] (author of sparskit2),
  Ben Shaby [ctb] (author of chol2csr)
Description: Some basic linear algebra functionality for sparse matrices is
  provided:  including Cholesky decomposition and backsolving as well as 
  standard R subsetting and Kronecker products.
License: GPL (>= 2)
Title: Sparse Linear Algebra
URL: http://www.econ.uiuc.edu/~roger/research/sparse/sparse.html
NeedsCompilation: yes
Repository: CRAN
Packaged: 2021-02-18 11:10:52 UTC; roger
Date/Publication: 2021-02-18 12:00:02 UTC

=== debian/changelog ===
r-cran-sparsem (1.81-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 18 Feb 2021 19:17:58 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.2), dh-r
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), dh-r
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-sparsem
 Vcs-Git: https://salsa.debian.org/edd/r-cran-sparsem.git
 Homepage: https://cran.r-project.org/package=SparseM

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/SparseM_([-\d\.]*)\.tar.gz

## r-cran-sparsem 1.84

=== DESCRIPTION ===
Package: SparseM
Version: 1.84-2
Authors@R: c(
    person("Roger", "Koenker",  role = c("cre","aut"), email =  "rkoenker@uiuc.edu"),
    person(c("Pin", "Tian"), "Ng",  role = c("ctb"),
           comment = "Contributions to Sparse QR code", email =  "pin.ng@nau.edu")
  , person("Yousef", "Saad",  role = c("ctb"), comment = "author of sparskit2")
  , person("Ben", "Shaby", role = c("ctb"), comment = "author of chol2csr")
  , person("Martin", "Maechler", role = "ctb", comment = c("chol() tweaks; S4", ORCID = "0000-0002-8685-9910"))
  )
Maintainer: Roger Koenker <rkoenker@uiuc.edu>
Depends: R (>= 2.15), methods
Imports: graphics, stats, utils
VignetteBuilder: knitr
Suggests: knitr
Description: Some basic linear algebra functionality for sparse matrices is
  provided:  including Cholesky decomposition and backsolving as well as
  standard R subsetting and Kronecker products.
License: GPL (>= 2)
Title: Sparse Linear Algebra
URL: http://www.econ.uiuc.edu/~roger/research/sparse/sparse.html
NeedsCompilation: yes
Packaged: 2024-07-17 11:01:25 UTC; ripley
Author: Roger Koenker [cre, aut],
  Pin Tian Ng [ctb] (Contributions to Sparse QR code),
  Yousef Saad [ctb] (author of sparskit2),
  Ben Shaby [ctb] (author of chol2csr),
  Martin Maechler [ctb] (chol() tweaks; S4,
    <https://orcid.org/0000-0002-8685-9910>)
Repository: CRAN
Date/Publication: 2024-07-17 16:10:06 UTC

=== debian/changelog ===
r-cran-sparsem (1.84-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 Jul 2024 01:15:34 -0500

r-cran-sparsem (1.83-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 31 May 2024 17:04:07 -0500

## r-cran-sparsem 1.84-2

=== debian/changelog ===
r-cran-sparsem (1.84-2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 20 Jul 2024 16:19:42 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), dh-r
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-sparsem
 Vcs-Git: https://salsa.debian.org/edd/r-cran-sparsem.git
 Homepage: https://cran.r-project.org/package=SparseM
